Bug 156248 - [NEW PORT] net/yate: Yet Another Telephony Engine
[NEW PORT] net/yate: Yet Another Telephony Engine
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Florian Smeets
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-07 13:40 UTC by komarov
Modified: 2011-05-22 13:40 UTC (History)
0 users

See Also:


Attachments
file.shar (38.26 KB, text/plain)
2011-04-07 13:40 UTC, komarov
no flags Details
yate.diff (7.26 KB, patch)
2011-04-10 13:16 UTC, Florian Smeets
no flags Details | Diff
patch-3.diff (2.34 KB, patch)
2011-04-10 16:44 UTC, komarov
no flags Details | Diff
yate4.diff (9.42 KB, patch)
2011-04-10 19:56 UTC, Florian Smeets
no flags Details | Diff
yate5.diff (1.01 KB, patch)
2011-04-10 21:19 UTC, komarov
no flags Details | Diff
patch6.diff (11.02 KB, patch)
2011-04-13 11:33 UTC, komarov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description komarov 2011-04-07 13:40:09 UTC
Yate - Yet Another Telephony Engine

is a next-generation telephony engine; while currently focused on
Voice over Internet Protocol (VoIP) and PSTN, its power lies in its
ability to be easily extended. Voice, video, data and instant
messenging can all be unified under Yate's flexible routing engine,
maximizing communications efficiency and minimizing infrastructure
costs for businesses.

Fix: Patch attached with submission follows:
Comment 1 Florian Smeets freebsd_committer 2011-04-09 12:48:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

Take
Comment 2 Florian Smeets freebsd_committer 2011-04-10 13:16:23 UTC
Hi,

i would like to commit your port with the following changes. Can you 
approve and make sure that everything still works?

Thanks,
Florian
Comment 3 komarov 2011-04-10 16:44:30 UTC
Can't build/install because:
1) is not LIB_DEPENDS for openssl
2) "yate" user and groups are absent in /usr/ports/UIDs /usr/ports/GIDs
   Need to add
   "yate:*:204:" to /usr/ports/GIDs

   "yate:*:204:204::0:0:Yate - Yet Another Telephony Engine:/nonexistent:/usr/sbin/nologin"
   to /usr/ports/UIDs

New patch is in attache
I add ssl support options and --without flag to other options
Comment 4 Florian Smeets freebsd_committer 2011-04-10 19:56:40 UTC
On 4/10/11 6:08 PM, Valery Komarov wrote:
> Hi, Florian.
>
>> Oops, i removed the --with-openssl line but i wanted to drop the openssl
>> dependancy. I'm just testing my change. This is how i wanted it to be.
>
>> Cheers,
>> Florian
> Ok,
> I send new patch based on this patch(yate2.diff) to bug-followup@FreeBSD.org.
> I add ssl support options and --without flag to other options
>

Did you have a look at the other changes?

- add build depend on pkg-config, otherwise openssl is not found
- fix installation of PORTDOCS in $PREFIX/share/doc/yate instead of 
$PREFIX/share/doc/yate-3.3.0
- fix pkg-plist
- use USERS GROUPS (will register it in UIDs and GIDs, just did not send 
the diff)
- remove pkg-install
- shorten pkg-desc
- fix yate.sh.in
- remove unneeded DOCSDIR and PLIST_SUB

and new in this patch

- fix NOPORTDOCS case.

it also incorporates you OPTION for SSL

It builds successfully in a tinderbox now. So if you approve i'm going 
to commit it.

Thanks,
Florian
Comment 5 komarov 2011-04-10 21:19:49 UTC
> Did you have a look at the other changes?


> - add build depend on pkg-config, otherwise openssl is not found
> - fix installation of PORTDOCS in $PREFIX/share/doc/yate instead of 
> $PREFIX/share/doc/yate-3.3.0
> - fix pkg-plist
> - use USERS GROUPS (will register it in UIDs and GIDs, just did not send
> the diff)
> - remove pkg-install
> - shorten pkg-desc
> - fix yate.sh.in
> - remove unneeded DOCSDIR and PLIST_SUB


> and new in this patch


> - fix NOPORTDOCS case.


> it also incorporates you OPTION for SSL


> It builds successfully in a tinderbox now. So if you approve i'm going
> to commit it.


Yes, i have looked through your changes, all changes are right.
Build with last patch was successful (with all options).
I  approve  all  your  changes and i think also, it is necessary to use
this patch.
Comment 6 komarov 2011-04-13 11:33:01 UTC
"Yate  3.3.2  minor release on April 12th, 2011. Fixed Jingle calls to
Google Voice dropping around 5 minutes in the call."

So, i do new patch
Comment 7 dfilter freebsd_committer 2011-05-22 13:38:16 UTC
flo         2011-05-22 12:38:03 UTC

  FreeBSD ports repository

  Modified files:
    .                    GIDs UIDs 
  Added files:
    net/yate             Makefile distinfo pkg-descr pkg-plist 
    net/yate/files       extra-patch-noalsa extra-patch-noportdocs 
                         patch-Makefile.in 
                         patch-conf.d__Makefile.in 
                         patch-configure.in 
                         patch-modules__Makefile.in 
                         patch-modules__h323chan.cpp 
                         pkg-message.in yate.sh.in 
  Log:
  - add a current version of yate (3.3.2p1). This is not a repocopy of
  net/yate-devel as net/yate already existed in the repository.
  - register in UIDs/GIDs (uses same UID/GID as yate-devel)
  
  PR:             ports/156248
  Submitted by:   Valeriy Komaorv <komarov@valerka.net>
  
  Revision  Changes    Path
  1.139     +2 -1      ports/GIDs
  1.153     +2 -1      ports/UIDs
  1.1       +143 -0    ports/net/yate/Makefile (new)
  1.1       +2 -0      ports/net/yate/distinfo (new)
  1.1       +23 -0     ports/net/yate/files/extra-patch-noalsa (new)
  1.1       +20 -0     ports/net/yate/files/extra-patch-noportdocs (new)
  1.1       +46 -0     ports/net/yate/files/patch-Makefile.in (new)
  1.1       +19 -0     ports/net/yate/files/patch-conf.d__Makefile.in (new)
  1.1       +47 -0     ports/net/yate/files/patch-configure.in (new)
  1.1       +11 -0     ports/net/yate/files/patch-modules__Makefile.in (new)
  1.1       +11 -0     ports/net/yate/files/patch-modules__h323chan.cpp (new)
  1.1       +15 -0     ports/net/yate/files/pkg-message.in (new)
  1.1       +46 -0     ports/net/yate/files/yate.sh.in (new)
  1.1       +13 -0     ports/net/yate/pkg-descr (new)
  1.1       +474 -0    ports/net/yate/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Florian Smeets freebsd_committer 2011-05-22 13:39:39 UTC
State Changed
From-To: open->closed

Committed. Thanks!